> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantspring.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a channel profit and loss report

> Create a "channel profit and loss" report. The generated report CSV contains the columns defined in the `ChannelProfitAndLossReportColumns` schema including revenue, fees, COGS, advertising, and profit breakdown by store. Use the /reports/status/{reportId} endpoint to check report status and obtain the download URL.



## OpenAPI

````yaml /api-reference/openapi.json post /reports/create/channelProfitAndLoss
openapi: 3.0.1
info:
  title: MerchantSpring Public API
  version: 1.0.0
servers:
  - url: https://mm-api.merchantspring.io
    description: Production
  - url: https://mm-api-staging.merchantspring.io
    description: Staging
security: []
tags:
  - name: channel
    x-group: Channel
  - name: content-change
    x-group: Content Change
  - name: custom-group
    x-group: Custom Group
  - name: order
    x-group: Order
  - name: report
    x-group: Report
  - name: tag
    x-group: Tag
  - name: profitability
    x-group: Profitability
paths:
  /reports/create/channelProfitAndLoss:
    post:
      tags:
        - report
      summary: Create a channel profit and loss report
      description: >-
        Create a "channel profit and loss" report. The generated report CSV
        contains the columns defined in the `ChannelProfitAndLossReportColumns`
        schema including revenue, fees, COGS, advertising, and profit breakdown
        by store. Use the /reports/status/{reportId} endpoint to check report
        status and obtain the download URL.
      operationId: createChannelProfitAndLossReport
      requestBody:
        description: Report criteria
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateChannelProfitAndLossReportRequest'
        required: true
      responses:
        '200':
          description: Successful operation
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateReportResponse'
            text/csv:
              schema:
                $ref: '#/components/schemas/ChannelProfitAndLossReportColumns'
        '400':
          description: Invalid input
          content: {}
      security:
        - api_key: []
components:
  schemas:
    CreateChannelProfitAndLossReportRequest:
      type: object
      properties:
        channelId:
          type: string
        merchantId:
          type: string
        reportOptions:
          $ref: '#/components/schemas/CreateChannelProfitAndLossReportOptions'
    CreateReportResponse:
      type: object
      properties:
        reportId:
          type: string
        reportType:
          type: string
        status:
          type: string
    ChannelProfitAndLossReportColumns:
      type: object
      description: >-
        Rows present in the downloadable Channel Profit and Loss report CSV.
        This export is pivot-style with dynamic headers: the first column is a
        metric label, and remaining columns are either ['value',
        'percentageIncome', 'valuePerUnit'] or ['Total', &lt;month columns&gt;].
      properties:
        rowLabel:
          type: string
          description: Metric or breakdown label in the first column
        value:
          type: string
          description: Value column used in non-monthly view
        percentageIncome:
          type: string
          description: Percentage of revenue column used in non-monthly view
        valuePerUnit:
          type: string
          description: Value-per-unit column used in non-monthly view
        Total:
          oneOf:
            - type: string
            - type: number
          description: Total column used in monthly view
      additionalProperties:
        oneOf:
          - type: string
          - type: number
    CreateChannelProfitAndLossReportOptions:
      allOf:
        - $ref: '#/components/schemas/CommonReportOptions'
        - type: object
          properties:
            includeTax:
              type: boolean
              description: Whether tax should be included in sales figures
    CommonReportOptions:
      type: object
      properties:
        fromDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the start of the reporting
            period
        toDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the end of the reporting
            period
        priorFromDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the start of the comparison
            period
        priorToDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the end of the comparison
            period
        timezone:
          type: string
          description: >-
            The timezone string you wish to see the report in (e.g.
            'America/Los_Angeles') see
            https://en.wikipedia.org/wiki/List_of_tz_database_time_zones
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````